{{topic}}({{section}}) -- outputs first steps for new TIBET users
=============================================

## SYNOPSIS

`tibet quickstart`

## DESCRIPTION

Outputs quick getting started information for new TIBET users.

## OPTIONS

No command options or flags are checked by this command.

## CONFIGURATION SETTINGS

No TIBET configuration variables are utilized by this command.

## ENVIRONMENT VARIABLES

No process environment variables are required by this command.

## EXAMPLES

### Run it :)

    Welcome to TIBET!

    The 'tibet clone' command is your first step in creating a TIBET project.

    Before using 'clone', navigate to a directory to hold your project content
    and select a name for your new project. The name will be used as a directory
    name so it should be a valid directory name on your platform.

    Type 'tibet clone {appname}', replacing {appname} with your project name:

        $ tibet clone hello
        ...
        Application DNA 'electron' cloned to ./hello as 'hello'.
        cd ./hello; tibet init; to continue developing.

    With your new project in place you need to initialize it to install any code
    dependencies specific to the template you cloned.

    Navigate to your project and then type 'tibet init' to initialize it:

        $ cd hello
        $ tibet init
        ...
        project initialized successfully.

    All project DNA templates support using 'tibet start' to run them.
    Electron projects will launch directly. TIBET Data Server (TDS) projects will
    start their Express-based NodeJS server (using port 1407 by default):

        $ tibet start
        ...

    Congratulations! Your new TIBET project is running.

    For Electron projects your application is now running and ready for expansion.
    For TDS-based projects open the web address output by 'tibet start' for your
    project in a supported HTML5 browser. All TIBET projects display launch text
    directing you on how to take the next step in your TIBET journey.

    For more info visit https://gettibet.app

## TIBET SHELL

This command has no client-side TSH peer command.

## TROUBLESHOOTING


## SEE ALSO

